Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS13eDg0LTY5amgtampwMs4AAuAK

Withdrawn

Withdrawn: duplicate of GHSA-2m39-62fm-q8r3

Permalink: https://github.com/advisories/GHSA-wx84-69jh-jjp2
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS13eDg0LTY5amgtampwMs4AAuAK
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: almost 4 years ago
Updated: over 1 year ago

Widthdrawn: almost 4 years ago

Identifiers: GHSA-wx84-69jh-jjp2
References: Repository: https://github.com/joyent/node-sshpk
Blast Radius: 0.0

Affected Packages

npm:sshpk
Dependent packages: 671
Dependent repositories: 4,144
Downloads: 72,530,171 last month
Affected Version Ranges: = 1.14.0, < 1.13.2
Fixed in: 1.14.1, 1.13.2
All affected versions: 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4, 1.1.0, 1.2.0, 1.2.1, 1.3.0, 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.7, 1.5.0, 1.5.1, 1.6.0, 1.6.1, 1.6.2, 1.7.0, 1.7.1, 1.7.2, 1.7.3, 1.7.4, 1.8.0, 1.8.1, 1.8.2, 1.8.3, 1.9.0, 1.9.1, 1.9.2, 1.10.0, 1.10.1, 1.10.2, 1.11.0, 1.13.0, 1.13.1
All unaffected versions: 1.13.2, 1.14.1, 1.14.2, 1.15.0, 1.15.1, 1.15.2, 1.16.0, 1.16.1, 1.17.0, 1.18.0